Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb.impl
Class ContentAgentContainerLocationTypeImpl

    java.lang.Object
      org.infoml.jaxb.impl.ContentAgentContainerLocationTypeImpl

All Implemented Interfaces:
  ContentAgentContainerLocationType

    public class ContentAgentContainerLocationTypeImpl

extends java.lang.Object
implements ContentAgentContainerLocationType

Nested Class Summary
`class` | `ContentAgentContainerLocationTypeImpl.Unmarshaller`

Field Summary
`protected RichTextWithExactType` | `_Content`
`protected MultipleLinesType` | `_ContentFragments`
`protected ExtendedSourceType` | `_ExtendedSource`
`protected RichTextType` | `_Notes1`
`protected RichTextType` | `_Notes2`
`protected ExtendedPointersType` | `_Pointers`
`protected RichTextType` | `_ReferenceAppendedText`
`protected AgentContainerLocationType` | `_Source`
`protected SimpleRichTextType` | `_Title`
`protected RichTextType` | `_UserCreatedCitation`
`static java.lang.Class` | `version`

Constructor Summary
`ContentAgentContainerLocationTypeImpl()`

Method Summary
`com.sun.msv.verifier.DocumentDeclaration` | `createRawValidator()`
`org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler` | `createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)`
`RichTextWithExactType` | `getContent()` Gets the value of the content property.
`MultipleLinesType` | `getContentFragments()` Gets the value of the contentFragments property.
`ExtendedSourceType` | `getExtendedSource()` Gets the value of the extendedSource property.
`RichTextType` | `getNotes1()` Gets the value of the notes1 property.
`RichTextType` | `getNotes2()` Gets the value of the notes2 property.
`ExtendedPointersType` | `getPointers()` Gets the value of the pointers property.
`java.lang.Class` | `getPrimaryInterface()`
`RichTextType` | `getReferenceAppendedText()` Gets the value of the referenceAppendedText property.
`AgentContainerLocationType` | `getSource()` Gets the value of the source property.
`SimpleRichTextType` | `getTitle()` Gets the value of the title property.
`RichTextType` | `getUserCreatedCitation()` Gets the value of the userCreatedCitation property.
`void` | `serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `setContent(RichTextWithExactType value)` Sets the value of the content property.
`void` | `setContentFragments(MultipleLinesType value)` Sets the value of the contentFragments property.
`void` | `setExtendedSource(ExtendedSourceType value)` Sets the value of the extendedSource property.
`void` | `setNotes1(RichTextType value)` Sets the value of the notes1 property.
`void` | `setNotes2(RichTextType value)` Sets the value of the notes2 property.
`void` | `setPointers(ExtendedPointersType value)` Sets the value of the pointers property.
`void` | `setReferenceAppendedText(RichTextType value)` Sets the value of the referenceAppendedText property.
`void` | `setSource(AgentContainerLocationType value)` Sets the value of the source property.
`void` | `setTitle(SimpleRichTextType value)` Sets the value of the title property.
`void` | `setUserCreatedCitation(RichTextType value)` Sets the value of the userCreatedCitation property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _Source

    protected AgentContainerLocationType _Source

### _ContentFragments

    protected MultipleLinesType _ContentFragments

### _ReferenceAppendedText

    protected RichTextType _ReferenceAppendedText

### _UserCreatedCitation

    protected RichTextType _UserCreatedCitation

### _Notes1

    protected RichTextType _Notes1

### _Notes2

    protected RichTextType _Notes2

### _Pointers

    protected ExtendedPointersType _Pointers

### _Content

    protected RichTextWithExactType _Content

### _ExtendedSource

    protected ExtendedSourceType _ExtendedSource

### _Title

    protected SimpleRichTextType _Title

### version

    public static final java.lang.Class version

Constructor Detail

### ContentAgentContainerLocationTypeImpl

    public ContentAgentContainerLocationTypeImpl()

Method Detail

### getSource

    public AgentContainerLocationType getSource()

  Description copied from interface: `ContentAgentContainerLocationType`
  Gets the value of the source property.

  Specified by:
    `getSource` in interface `ContentAgentContainerLocationType`
  Returns:
    possible object is `AgentContainerLocationType`

### setSource

    public void setSource(AgentContainerLocationType value)

  Description copied from interface: `ContentAgentContainerLocationType`
  Sets the value of the source property.

  Specified by:
    `setSource` in interface `ContentAgentContainerLocationType`
  Parameters:
    `value` - allowed object is `AgentContainerLocationType`

### getContentFragments

    public MultipleLinesType getContentFragments()

  Description copied from interface: `ContentAgentContainerLocationType`
  Gets the value of the contentFragments property.

  Specified by:
    `getContentFragments` in interface `ContentAgentContainerLocationType`
  Returns:
    possible object is `MultipleLinesType`

### setContentFragments

    public void setContentFragments(MultipleLinesType value)

  Description copied from interface: `ContentAgentContainerLocationType`
  Sets the value of the contentFragments property.

  Specified by:
    `setContentFragments` in interface `ContentAgentContainerLocationType`
  Parameters:
    `value` - allowed object is `MultipleLinesType`

### getReferenceAppendedText

    public RichTextType getReferenceAppendedText()

  Description copied from interface: `ContentAgentContainerLocationType`
  Gets the value of the referenceAppendedText property.

  Specified by:
    `getReferenceAppendedText` in interface `ContentAgentContainerLocationType`
  Returns:
    possible object is `RichTextType`

### setReferenceAppendedText

    public void setReferenceAppendedText(RichTextType value)

  Description copied from interface: `ContentAgentContainerLocationType`
  Sets the value of the referenceAppendedText property.

  Specified by:
    `setReferenceAppendedText` in interface `ContentAgentContainerLocationType`
  Parameters:
    `value` - allowed object is `RichTextType`

### getUserCreatedCitation

    public RichTextType getUserCreatedCitation()

  Description copied from interface: `ContentAgentContainerLocationType`
  Gets the value of the userCreatedCitation property.

  Specified by:
    `getUserCreatedCitation` in interface `ContentAgentContainerLocationType`
  Returns:
    possible object is `RichTextType`

### setUserCreatedCitation

    public void setUserCreatedCitation(RichTextType value)

  Description copied from interface: `ContentAgentContainerLocationType`
  Sets the value of the userCreatedCitation property.

  Specified by:
    `setUserCreatedCitation` in interface `ContentAgentContainerLocationType`
  Parameters:
    `value` - allowed object is `RichTextType`

### getNotes1

    public RichTextType getNotes1()

  Description copied from interface: `ContentAgentContainerLocationType`
  Gets the value of the notes1 property.

  Specified by:
    `getNotes1` in interface `ContentAgentContainerLocationType`
  Returns:
    possible object is `RichTextType`

### setNotes1

    public void setNotes1(RichTextType value)

  Description copied from interface: `ContentAgentContainerLocationType`
  Sets the value of the notes1 property.

  Specified by:
    `setNotes1` in interface `ContentAgentContainerLocationType`
  Parameters:
    `value` - allowed object is `RichTextType`

### getNotes2

    public RichTextType getNotes2()

  Description copied from interface: `ContentAgentContainerLocationType`
  Gets the value of the notes2 property.

  Specified by:
    `getNotes2` in interface `ContentAgentContainerLocationType`
  Returns:
    possible object is `RichTextType`

### setNotes2

    public void setNotes2(RichTextType value)

  Description copied from interface: `ContentAgentContainerLocationType`
  Sets the value of the notes2 property.

  Specified by:
    `setNotes2` in interface `ContentAgentContainerLocationType`
  Parameters:
    `value` - allowed object is `RichTextType`

### getPointers

    public ExtendedPointersType getPointers()

  Description copied from interface: `ContentAgentContainerLocationType`
  Gets the value of the pointers property.

  Specified by:
    `getPointers` in interface `ContentAgentContainerLocationType`
  Returns:
    possible object is `ExtendedPointersType`

### setPointers

    public void setPointers(ExtendedPointersType value)

  Description copied from interface: `ContentAgentContainerLocationType`
  Sets the value of the pointers property.

  Specified by:
    `setPointers` in interface `ContentAgentContainerLocationType`
  Parameters:
    `value` - allowed object is `ExtendedPointersType`

### getContent

    public RichTextWithExactType getContent()

  Description copied from interface: `ContentAgentContainerLocationType`
  Gets the value of the content property.

  Specified by:
    `getContent` in interface `ContentAgentContainerLocationType`
  Returns:
    possible object is `RichTextWithExactType`

### setContent

    public void setContent(RichTextWithExactType value)

  Description copied from interface: `ContentAgentContainerLocationType`
  Sets the value of the content property.

  Specified by:
    `setContent` in interface `ContentAgentContainerLocationType`
  Parameters:
    `value` - allowed object is `RichTextWithExactType`

### getExtendedSource

    public ExtendedSourceType getExtendedSource()

  Description copied from interface: `ContentAgentContainerLocationType`
  Gets the value of the extendedSource property.

  Specified by:
    `getExtendedSource` in interface `ContentAgentContainerLocationType`
  Returns:
    possible object is `ExtendedSourceType`

### setExtendedSource

    public void setExtendedSource(ExtendedSourceType value)

  Description copied from interface: `ContentAgentContainerLocationType`
  Sets the value of the extendedSource property.

  Specified by:
    `setExtendedSource` in interface `ContentAgentContainerLocationType`
  Parameters:
    `value` - allowed object is `ExtendedSourceType`

### getTitle

    public SimpleRichTextType getTitle()

  Description copied from interface: `ContentAgentContainerLocationType`
  Gets the value of the title property.

  Specified by:
    `getTitle` in interface `ContentAgentContainerLocationType`
  Returns:
    possible object is `SimpleRichTextType`

### setTitle

    public void setTitle(SimpleRichTextType value)

  Description copied from interface: `ContentAgentContainerLocationType`
  Sets the value of the title property.

  Specified by:
    `setTitle` in interface `ContentAgentContainerLocationType`
  Parameters:
    `value` - allowed object is `SimpleRichTextType`

### createUnmarshaller

    public org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)

### serializeBody

    public void serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeAttributes

    public void serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                             throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeURIs

    public void serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### getPrimaryInterface

    public java.lang.Class getPrimaryInterface()

### createRawValidator

    public com.sun.msv.verifier.DocumentDeclaration createRawValidator()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD